package cz.senslog.connector.model.api;

import com.google.gson.JsonObject;

import java.time.OffsetDateTime;

public class GeoJsonModel extends AbstractModel{

    private final JsonObject geoJson;

    public static GeoJsonModel empty() {
        return new GeoJsonModel(new JsonObject(), null, null);
    }

    public GeoJsonModel(JsonObject geoJson, OffsetDateTime from, OffsetDateTime to) {
        super(from, to);
        this.geoJson = geoJson;
    }

    public JsonObject getGeoJson() {
        return geoJson;
    }

    public boolean isEmpty() {
        return geoJson.isEmpty();
    }
}
